Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354682 - [abrt] nautilus: finish_adding_new_icons(): nautilus killed by SIGABRT
Summary: [abrt] nautilus: finish_adding_new_icons(): nautilus killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 24
Hardware: x86_64
OS: Windows
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a39de876ff9a27237f5fc26a2c5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 22:53 UTC by edwin brietz
Modified: 2017-08-08 15:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:32:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: cgroup (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: core_backtrace (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: dso_list (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: environ (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: limits (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: maps (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: mountinfo (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: namespaces (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: open_fds (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: proc_pid_status (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details
File: var_log_messages (deleted)
2016-07-11 22:53 UTC, edwin brietz
no flags Details

Description edwin brietz 2016-07-11 22:53:11 UTC
Description of problem:
I am not sure what happened. All I know is that I tried to log into Gnome Classic and I could not. It crashes every time. Now "files" will not open but "dolphin" will.

Version-Release number of selected component:
nautilus-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: finish_adding_new_icons
executable:     /usr/bin/nautilus
global_pid:     4221
kernel:         4.6.3-300.fc24.x86_64+debug
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   The problem occurs regularly
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 finish_adding_new_icons at nautilus-canvas-container.c:6019
 #5 redo_layout_internal at nautilus-canvas-container.c:1912
 #6 redo_layout at nautilus-canvas-container.c:1977
 #7 nautilus_canvas_container_sort at nautilus-canvas-container.c:7056
 #8 nautilus_canvas_view_clean_up_by_name at nautilus-canvas-view.c:315
 #9 nautilus_desktop_canvas_view_end_loading at nautilus-desktop-canvas-view.c:271
 #10 g_cclosure_marshal_VOID__ENUMv at gmarshal.c:1496
 #11 _g_closure_invoke_va at gclosure.c:867
 #14 done_loading at nautilus-files-view.c:3195
 #16 display_pending_files at nautilus-files-view.c:3687

Potential duplicate: bug 1246722

Comment 1 edwin brietz 2016-07-11 22:53:14 UTC
Created attachment 1178602 [details]
File: backtrace

Comment 2 edwin brietz 2016-07-11 22:53:15 UTC
Created attachment 1178603 [details]
File: cgroup

Comment 3 edwin brietz 2016-07-11 22:53:16 UTC
Created attachment 1178604 [details]
File: core_backtrace

Comment 4 edwin brietz 2016-07-11 22:53:17 UTC
Created attachment 1178605 [details]
File: dso_list

Comment 5 edwin brietz 2016-07-11 22:53:18 UTC
Created attachment 1178606 [details]
File: environ

Comment 6 edwin brietz 2016-07-11 22:53:19 UTC
Created attachment 1178607 [details]
File: limits

Comment 7 edwin brietz 2016-07-11 22:53:20 UTC
Created attachment 1178608 [details]
File: maps

Comment 8 edwin brietz 2016-07-11 22:53:21 UTC
Created attachment 1178609 [details]
File: mountinfo

Comment 9 edwin brietz 2016-07-11 22:53:22 UTC
Created attachment 1178610 [details]
File: namespaces

Comment 10 edwin brietz 2016-07-11 22:53:23 UTC
Created attachment 1178611 [details]
File: open_fds

Comment 11 edwin brietz 2016-07-11 22:53:24 UTC
Created attachment 1178612 [details]
File: proc_pid_status

Comment 12 edwin brietz 2016-07-11 22:53:25 UTC
Created attachment 1178613 [details]
File: var_log_messages

Comment 13 edwin brietz 2016-07-16 02:41:58 UTC
The error has sort of fixed itself. I am not sure if an update or something else fixed it. I am loving fedora 24 for now.

Comment 14 Damien Gombault 2016-07-27 09:05:21 UTC
Similar problem has been detected:

I enabled "Icon on desktop" option on GNOME Tweak Tool.
Then I launched Nautilus.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: finish_adding_new_icons
executable:     /usr/bin/nautilus
global_pid:     28199
kernel:         4.6.4-301.fc24.x86_64
package:        nautilus-3.20.1-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Georg Müller 2016-08-02 10:18:29 UTC
Deleting ~/.config/nautilus solved it for me...

Comment 16 Edgar Hoch 2016-08-12 12:08:45 UTC
I confirm that deleting ~/.config/nautilus solves the problem by one of our users.

Comment 17 Edgar Hoch 2016-08-12 12:10:40 UTC
(In reply to Edgar Hoch from comment #16)
> I confirm that deleting ~/.config/nautilus solves the problem by one of our
> users.

But I think it is still an error of nautilus to crash. It should detect if the files in this directory has old or wrong data and handle it instead of crashing.

Comment 18 István Varga 2016-08-23 07:41:17 UTC
*** Bug 1369337 has been marked as a duplicate of this bug. ***

Comment 19 Fedora End Of Life 2017-07-25 21:44:46 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-08-08 15:32:04 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.